# User Projects

`GET /workspaces/:workspace/members/:member_id/projects`

Get all projects accessible to a workspace member

**Required Scopes:** `WORKSPACE`

## URL Parameters

```typescript
interface URLParameters {
  /** The human-readable ID of the workspace */
  workspace: string; // Example: "my-company"
  /** The ID of the user */
  member_id: number; // Example: 456
}
```

## Query Parameters

```typescript
interface QueryParameters {
  /** The number of the successive pages (results are split into pages of per_page elements each). */
  page?: number; // Example: 1
  /** Specifies the number of returned elements on the page. The default value is 20. */
  per_page?: number; // Example: 20
  /** Filters projects by the specified status. Can be one of `ACTIVE` or `CLOSED` */
  status?: string; // Example: "ACTIVE"
  /** Specifies ordering. Can be one of `name`, `create_date` or `repository_size` */
  sort_by?: string; // Example: "name"
  /** Specifies the direction of the ordering. Can be one of `ASC` or `DESC` */
  sort_direction?: string; // Example: "ASC"
  /** If set to true, returns all projects accessible to the user */
  all?: string; // Example: "true"
}
```

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  projects?: ShortProjectView[];
}
```

## Type Definitions

```typescript
interface ShortProjectView {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The human-readable ID of the project */
  name?: string;
  /** The Name of the project */
  display_name: string;
  /** The status of the project */
  status?: string;
  /** Indicates if this is a public project */
  access?: "PRIVATE" | "PUBLIC";
  /** The creation date of the project */
  create_date?: string;
}

```

## Response Example

**Status:** `200 OK`

```json
{
  "url": "https://api.buddy.works/workspaces/my-company/members/456/projects",
  "html_url": "https://app.buddy.works/my-company",
  "projects": [
    {
      "url": "https://api.buddy.works/workspaces/my-company/projects/landing-page",
      "html_url": "https://app.buddy.works/my-company/landing-page",
      "name": "landing-page",
      "display_name": "Landing Page",
      "status": "ACTIVE",
      "create_date": "2023-01-15T10:30:00Z"
    },
    {
      "url": "https://api.buddy.works/workspaces/my-company/projects/api-backend",
      "html_url": "https://app.buddy.works/my-company/api-backend",
      "name": "api-backend",
      "display_name": "API Backend Service",
      "status": "ACTIVE",
      "create_date": "2023-02-20T14:45:30Z"
    }
  ]
}
```

---
Original source: https://buddy.works/docs/api/platform/members/list/user-projects